---
updatedAt: 2026-04-23T18:12:51.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# List infraction reports

Get a participant's infraction notifications.

Notifications are sorted in ascending order by the `bacen_last_modified_datetime` response return field.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Instant payments - Pix management",
    "description": "API responsible for providing Pix operations (related to DICT) via integrating with external providers",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    },
    "version": "0.0.1"
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io/pix-dict",
      "description": "Sandbox API server for testing."
    }
  ],
  "tags": [
    {
      "name": "Infraction reports",
      "description": "Manage Pix transaction infraction reports endpoints"
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    },
    "parameters": {
      "AuthHeader": {
        "in": "header",
        "name": "Authorization",
        "required": true,
        "description": "Account token - token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a <b>401 Unauthorized</b> message.",
        "schema": {
          "type": "string",
          "example": "Bearer eyJhbGci...IUzUx"
        }
      },
      "FundsRecoveryIdQuery2": {
        "name": "funds_recovery_id",
        "in": "query",
        "description": "Funds recovery identifier. \n\nReturned from the [Create funds recovery](https://developers.pismo.io/pismo-docs/reference/post-create-funds-recovery) endpoint.\n",
        "schema": {
          "type": "string"
        },
        "example": "53D0F66A-BAB0-49D7-B7DC-807B82AABD8D"
      },
      "IncludeDetailsQuery": {
        "name": "include_details",
        "in": "query",
        "schema": {
          "type": "boolean",
          "default": false
        },
        "description": "Include details in response? Default is `false`.",
        "example": false
      },
      "IsCounterpartyQuery": {
        "name": "is_counterparty",
        "in": "query",
        "description": "Return notifications where the participant is a counterparty? Default is `true`.",
        "schema": {
          "type": "boolean",
          "default": true
        }
      },
      "IsReporterQuery": {
        "name": "is_reporter",
        "in": "query",
        "description": "Return notifications where the participant is the creator? Default is `true`.",
        "schema": {
          "type": "boolean",
          "default": true
        }
      },
      "LimitQuery": {
        "name": "limit",
        "in": "query",
        "schema": {
          "type": "integer",
          "maximum": 200,
          "default": 20
        },
        "description": "Maximum results to return. Default is `20`. Maximum is `200`.",
        "example": 20
      },
      "ModifiedAfterQuery2": {
        "name": "modified_after",
        "in": "query",
        "description": "Only return infractions modified at this datetime or after. Format = RFC 3339. For example -  `2023-04-12T23:20:50.52Z`.",
        "schema": {
          "type": "string",
          "format": "date-time"
        },
        "example": "2023-04-12T23:20:50.52Z"
      },
      "ModifiedBeforeQuery2": {
        "name": "modified_before",
        "in": "query",
        "description": "Only return infractions modified at this datetime or before.  Format = RFC 3339.  For example -  `2023-04-12T23:20:50.52Z`.",
        "schema": {
          "type": "string",
          "format": "date-time"
        },
        "example": "2023-04-12T23:20:50.52Z"
      },
      "StatusFilterQuery2": {
        "name": "status",
        "in": "query",
        "description": "Status filter, default is all (\"\").",
        "schema": {
          "type": "string",
          "enum": [
            "",
            "OPEN",
            "ACKNOWLEDGED",
            "CLOSED",
            "CANCELLED"
          ],
          "default": ""
        }
      }
    },
    "headers": {
      "XCidResponseHeader": {
        "description": "Request tracking identifier.",
        "schema": {
          "type": "string"
        }
      }
    },
    "schemas": {
      "BacenCreationDateTime": {
        "type": "string",
        "format": "date-time",
        "description": "Date of infraction report creation. RFC 3339 date-time value. For example -  `2023-04-12T23:20:50.52Z`. \n",
        "example": "2020-08-13T13:49:03Z"
      },
      "BacenLastModifiedDateTime": {
        "type": "string",
        "format": "date-time",
        "description": "Date of infraction report modification. RFC 3339  date-time value. For example -  `2023-04-12T23:20:50.52Z`. \n",
        "example": "2020-08-13T13:49:03Z"
      },
      "ContactInformation": {
        "type": "object",
        "required": [
          "phone",
          "email"
        ],
        "properties": {
          "phone": {
            "type": "string",
            "maxLength": 16,
            "description": "Contact phone number",
            "example": "551154874551"
          },
          "email": {
            "type": "string",
            "description": "Contact email",
            "maxLength": 77,
            "example": "polly_ester@email.com"
          }
        }
      },
      "FundsRecoveryId": {
        "type": "string",
        "description": "Funds recovery identifier. \n\nReturned from the [Create funds recovery](https://developers.pismo.io/pismo-docs/reference/post-create-funds-recovery) endpoint.\n",
        "example": "53D0F66A-BAB0-49D7-B7DC-807B82AABD8D"
      },
      "InfractionCounterpartyParticipant": {
        "type": "string",
        "format": "number",
        "description": "Transaction recipient participant's ISPB (Identifcador do Sistema de Pagamento Brazil) number - the Brazilian Payment System identifier, an 8-digit value.\n",
        "example": "78265328"
      },
      "InfractionDetails": {
        "type": "string",
        "description": "Details that can help the receiving participant to analyze the suspected violation\n",
        "example": "Details about infraction",
        "maxLength": 2000
      },
      "InfractionReason": {
        "type": "string",
        "description": "Reason for opening infraction report",
        "example": "REFUND_REQUEST",
        "enum": [
          "REFUND_REQUEST",
          "REFUND_CANCELLED"
        ]
      },
      "InfractionReporterParticipant": {
        "type": "string",
        "format": "number",
        "description": "Transaction payer participant's ISPB (Identifcador do Sistema de Pagamento Brazil) number - the Brazilian Payment System identifier, an 8-digit value.\n",
        "example": "78265328"
      },
      "InfractionReportID": {
        "type": "string",
        "format": "uuid",
        "maxLength": 36,
        "description": "Infraction report ID (UUID)",
        "example": "cfdff46e-5d58-45b8-b7aa-591a65f74444"
      },
      "InfractionReportList": {
        "type": "object",
        "required": [
          "has_more_elements",
          "items"
        ],
        "properties": {
          "has_more_elements": {
            "type": "boolean",
            "description": "Are there more items?",
            "example": true
          },
          "items": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/InfractionReportResponse"
            }
          }
        }
      },
      "InfractionReportResponse": {
        "type": "object",
        "required": [
          "id",
          "transaction_id",
          "reason",
          "situation_type",
          "status",
          "reporter_participant",
          "counterparty_participant",
          "bacen_creation_datetime",
          "bacen_last_modified_datetime"
        ],
        "properties": {
          "id": {
            "$ref": "#/components/schemas/InfractionReportID"
          },
          "transaction_id": {
            "$ref": "#/components/schemas/InfractionTransactionID"
          },
          "reason": {
            "$ref": "#/components/schemas/InfractionReason"
          },
          "situation_type": {
            "$ref": "#/components/schemas/InfractionReportSituation"
          },
          "status": {
            "$ref": "#/components/schemas/InfractionReportStatus"
          },
          "reporter_participant": {
            "$ref": "#/components/schemas/InfractionReporterParticipant"
          },
          "counterparty_participant": {
            "$ref": "#/components/schemas/InfractionCounterpartyParticipant"
          },
          "bacen_creation_datetime": {
            "$ref": "#/components/schemas/BacenCreationDateTime"
          },
          "bacen_last_modified_datetime": {
            "$ref": "#/components/schemas/BacenLastModifiedDateTime"
          },
          "details": {
            "$ref": "#/components/schemas/InfractionDetails"
          },
          "contact_information": {
            "$ref": "#/components/schemas/ContactInformation"
          },
          "funds_recovery_id": {
            "$ref": "#/components/schemas/FundsRecoveryId"
          },
          "infraction_amount": {
            "$ref": "#/components/schemas/InfractionAmount"
          }
        }
      },
      "InfractionReportSituation": {
        "type": "string",
        "description": "What gave rise to the infraction notification",
        "example": "SCAM",
        "enum": [
          "SCAM",
          "ACCOUNT_TAKEOVER",
          "COERCION",
          "FRAUDULENT_ACCESS",
          "OTHER",
          "UNKNOWN"
        ]
      },
      "InfractionReportStatus": {
        "type": "string",
        "description": "Infraction report status",
        "example": "OPEN",
        "enum": [
          "OPEN",
          "ACKNOWLEDGED",
          "CLOSED",
          "CANCELLED"
        ]
      },
      "InfractionAmount": {
        "type": "number",
        "description": "Infraction Amount.",
        "example": 1050.44
      },
      "InfractionTransactionID": {
        "type": "string",
        "description": "Original transaction's end to end ID.",
        "example": "E9999901012341234123412345678900"
      },
      "message.DetailMessage": {
        "type": "object",
        "properties": {
          "external": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/message.ExternalMessage"
            }
          },
          "parameters": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/message.ParameterMessage"
            }
          },
          "payload": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/message.PayloadMessage"
            }
          }
        }
      },
      "message.ExternalMessage": {
        "required": [
          "code",
          "message"
        ],
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code",
            "example": "PBE315"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "Generic error"
          }
        }
      },
      "message.Message": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code",
            "example": "EPDA0001"
          },
          "details": {
            "$ref": "#/components/schemas/message.DetailMessage"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "User not found"
          }
        }
      },
      "message.ParameterMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Parameter in error",
            "example": "query parameter"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "Generic error"
          }
        }
      },
      "message.PayloadMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Field in error",
            "example": "Entity.field"
          },
          "message": {
            "type": "string",
            "description": "Error messsage",
            "example": "Generic error"
          }
        }
      }
    },
    "responses": {
      "401Unauthorized": {
        "description": "Unauthorized",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            },
            "examples": {
              "Provider service error": {
                "value": {
                  "code": "EPDG0013",
                  "message": "Unauthorized access to the provider service"
                }
              }
            }
          }
        }
      },
      "403Forbidden": {
        "description": "Forbidden",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            },
            "examples": {
              "EPDA0009": {
                "summary": "Missing required header 'x-tenant'",
                "value": {
                  "code": "EPDA0009",
                  "message": "Missing required header 'x-tenant'"
                }
              },
              "EPDA0010": {
                "summary": "Missing required header 'x-account-id'",
                "value": {
                  "code": "EPDA0010",
                  "message": "Missing required header 'x-account-id'"
                }
              },
              "EPDA0152": {
                "summary": "Missing required param 'id'",
                "value": {
                  "code": "EPDA0152",
                  "message": "Missing required param 'id'"
                }
              }
            }
          }
        }
      },
      "429TooManyRequests": {
        "description": "Too many requests",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            }
          }
        }
      },
      "502BadGateway": {
        "description": "Bad Gateway",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            },
            "examples": {
              "Provider authentication service error": {
                "value": {
                  "code": "EPDG0020",
                  "message": "Provider authentication service is unable to complete the request"
                }
              }
            }
          }
        }
      },
      "504GatewayTimeout2": {
        "description": "Gateway Timeout",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            },
            "examples": {
              "Service timeout": {
                "value": {
                  "code": "EPDA0000",
                  "message": "Timeout while executing the request"
                }
              },
              "Provider timeout": {
                "value": {
                  "code": "EPDG0000",
                  "message": "Timeout while executing the request"
                }
              }
            }
          }
        }
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  },
  "paths": {
    "/v2/pix/infraction-reports/search": {
      "get": {
        "summary": "List infraction reports",
        "description": "Get a participant's infraction notifications.\n\nNotifications are sorted in ascending order by the `bacen_last_modified_datetime` response return field.\n",
        "operationId": "get-v2-pix-infraction-search",
        "tags": [
          "Infraction reports"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/AuthHeader"
          },
          {
            "$ref": "#/components/parameters/FundsRecoveryIdQuery2"
          },
          {
            "$ref": "#/components/parameters/IsReporterQuery"
          },
          {
            "$ref": "#/components/parameters/IsCounterpartyQuery"
          },
          {
            "$ref": "#/components/parameters/IncludeDetailsQuery"
          },
          {
            "$ref": "#/components/parameters/StatusFilterQuery2"
          },
          {
            "$ref": "#/components/parameters/ModifiedAfterQuery2"
          },
          {
            "$ref": "#/components/parameters/ModifiedBeforeQuery2"
          },
          {
            "$ref": "#/components/parameters/LimitQuery"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "headers": {
              "x-cid": {
                "$ref": "#/components/headers/XCidResponseHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InfractionReportList"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "headers": {
              "x-cid": {
                "$ref": "#/components/headers/XCidResponseHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/message.Message"
                },
                "examples": {
                  "Tenant not found": {
                    "value": {
                      "code": "EPDA0001",
                      "message": "Missing x-tenant header."
                    }
                  },
                  "Invalid binding": {
                    "value": {
                      "code": "EPDA0002",
                      "message": "Failed to unmarshal request body"
                    }
                  },
                  "Validate errors": {
                    "value": {
                      "code": "EPDA0003",
                      "message": "There are invalid fields when trying to validate request body.",
                      "details": {
                        "payload": [
                          {
                            "field": "status",
                            "message": "Field validation for 'status' failed on the 'oneof' tag"
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/401Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/403Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/429TooManyRequests"
          },
          "500": {
            "description": "Internal Server Error",
            "headers": {
              "x-cid": {
                "$ref": "#/components/headers/XCidResponseHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/message.Message"
                },
                "examples": {
                  "Provider service communication error": {
                    "value": {
                      "code": "EPDA0029",
                      "message": "Internal errors while attempting to communicate with the provider service"
                    }
                  },
                  "Invalid client error": {
                    "value": {
                      "code": "EPDG0005",
                      "message": "Invalid Pix provider '{provider_name}'"
                    }
                  },
                  "Failed marshalling object": {
                    "value": {
                      "code": "EPDG0006",
                      "message": "Failed to marshal JSON object"
                    }
                  },
                  "Failed unmarshalling object": {
                    "value": {
                      "code": "EPDG0007",
                      "message": "Failed to unmarshal JSON object"
                    }
                  },
                  "Error reading response data": {
                    "value": {
                      "code": "EPDG0010",
                      "message": "I/O error while reading response data: '{details}'"
                    }
                  },
                  "Provider service error": {
                    "value": {
                      "code": "EPDG0016",
                      "message": "Provider service returned an internal error while trying to access the resource",
                      "details": {
                        "external": [
                          {
                            "code": "PBE315",
                            "message": "Generic error"
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          },
          "502": {
            "$ref": "#/components/responses/502BadGateway"
          },
          "503": {
            "description": "Service Unavailable",
            "headers": {
              "x-cid": {
                "$ref": "#/components/headers/XCidResponseHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/message.Message"
                },
                "examples": {
                  "Provider service unavailable": {
                    "value": {
                      "code": "EPDG0017",
                      "message": "Provider service resource is unavailable"
                    }
                  },
                  "Provider authentication service unavailable": {
                    "value": {
                      "code": "EPDG0021",
                      "message": "Provider authentication service is unavailable"
                    }
                  }
                }
              }
            }
          },
          "504": {
            "$ref": "#/components/responses/504GatewayTimeout2"
          }
        },
        "security": [
          {
            "BearerAuth": []
          }
        ]
      }
    }
  }
}
```